excelExporter.excelParser

## Class SortOrder

- java.lang.Object
- - excelExporter.excelParser.SortOrder

-     public class SortOrder
      extends java.lang.Object

  The sort orders, which can be applied to the elements of the data model as an enumeration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SortOrder.Comparator<T>` This is an extension of the Java class `Comparator`, which provides access to the sort order, which is implemented by the comparator object.
    `static class` | `SortOrder.Order` An enumeration describing the supported sorting of objects in the data model.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortOrder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `compare(java.lang.String a, java.lang.String b, SortOrder.Order sortOrder)` Compare two String objects with given sort order.
    `static SortOrder.Comparator<java.lang.String>` | `createComparatorString(SortOrder.Order sortOrder)` A comparator for sorting String objects is created and returned.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortOrder

          public SortOrder()

  - ### Method Detail

    - #### compare

          public static int compare(java.lang.String a,
                                    java.lang.String b,
                                    SortOrder.Order sortOrder)

      Compare two String objects with given sort order.
      Parameters:
        `a` - The first operand.
        `b` - The second operand.
        `sortOrder` - The sort order to apply.
      Returns:
        Get the comparison result as compatible with Java's `Collections.sort(java.util.List<T>)`.

    - #### createComparatorString

          public static SortOrder.Comparator<java.lang.String> createComparatorString(SortOrder.Order sortOrder)

      A comparator for sorting String objects is created and returned.
      Parameters:
        `sortOrder` - The comparator will support the given sort order. The following sort orders are supported:

        - lexical: The case insensitive sort order of Java String
        - ASCII: The natural sort order of Java String
        - numerical: The String contents are interpreted as numbers and the numbers' values are compared. See `SortOrder.Order` for additional details.
        - undefined: All compared elements will be treated as equal. Sorting will not change the order of elements
      Returns:
        Get a temporary comparator object as usable with the Java Collections class.